> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Profiles

> Learn about the /profiles endpoint.

Learn about the `/profiles` endpoint.

Profile objects contain information related to the identity of the user: name, address, contact details, etc. The data in a profile is tied to a payroll account that the user has connected via Argyle Link.

![High level structure of the profile object.](https://res.cloudinary.com/argyle-media/image/upload/f_auto/v1674858969/docs-2023/API%20Endpoints/Profiles)

## The profile object

### Attributes

* `id` (string (uuid), optional): Unique ID of the profile associated with a user's payroll account.
* `account` (string (uuid), optional): ID of the payroll account associated with the profile.
* `employer` (string, optional): The name of the company or entity that employs the user.
* `first_name` (string, optional): The legal first name of the user.
* `last_name` (string, optional): The legal last name of the user.
* `full_name` (string, optional): The full legal name of the user.
* `email` (string, optional): Email address.
* `picture_url` (string, optional): Profile picture of the user (if available from the Link item). The value is a URL pointing to the internal storage where the image is held.
* `address.line1` (string, optional): Address line 1—for example, street, PO Box, or company name.
* `address.line2` (string, optional): Address line 2—for example, apartment, suite, unit, or building.
* `address.city` (string, optional): City, district, suburb, town, or village.
* `address.state` (string, optional): State, county, province, or region.
* `address.postal_code` (string, optional): ZIP or postal code.
* `ssn` (string, optional): Social Security Number.
* `marital_status` (string, optional): Marital status of the user.
* `gender` (string, optional): Gender of the user.
* `metadata` (object, optional): Metadata holds additional available, often unstructured, information about this data resource.
* `employment_status *DEPRECATED` (string, optional)
* `employment_type *DEPRECATED` (string, optional)
* `job_title *DEPRECATED` (string, optional)
* `platform_user_id *DEPRECATED` (string, optional)
* `hire_dates *DEPRECATED` (array of strings, optional)
* `terminations *DEPRECATED` (array of strings, optional)

```json theme={}

{
"id": "47b216e2-d334-4235-bc1e-185d15ab18d0",
"account": "010db8b4-a724-47fc-a17e-733b656312a2",
"employer": "walmart",
"created_at": "2019-11-29T09:00:16.384Z",
"updated_at": "2019-11-29T09:00:16.384Z",
"first_name": "John",
"last_name": "Smith",
"full_name": "John Smith",
"email": "john.smith@email.com",
"phone_number": "+11234567890",
"birth_date": "1990-04-28",
"picture_url": "https://profile.picture.com/picture.jpeg",
"address": {
"line1": "4 Jackson St",
"line2": "Apt C",
"city": "Norton",
"state": "MA",
"postal_code": "27660",
"country": "US"
},
"ssn": "***-**-**15",
"marital_status": "married",
"gender": "male",
"metadata": {}
},
null,
2
  
```

<RefSubLayout.Divider />

## Retrieve a profile

**GET** `/v1/profiles/{id}`

* Retrieve a profile object with the supplied ID.
* This request returns a profile object if a valid identifier was provided.

### Path parameters

* `id` (string (uuid), required): The identifier of the profile to be retrieved.

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/profiles/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/profiles/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "0180421b-955a-9f53-6175-ff120a6cd6fc",
  "account": "0180421b-8908-2251-32a6-8c664912a9f5",
  "address": {
"city": "New York",
"line1": "759 Victoria Plaza",
"line2": null,
"state": "NY",
"country": "US",
"postal_code": "10014"
  },
  "birth_date": "1980-10-10",
  "email": "test1@argyle.com",
  "first_name": "Bob",
  "last_name": "Jones",
  "full_name": "Bob Jones",
  "phone_number": "+18009000010",
  "picture_url": "https://res.cloudinary.com/argyle-media/image/upload/c_lfill,w_auto,g_auto,q_auto,dpr_auto,f_auto/v1566809938/bob-portrait.png",
  "employment_status": "active",
  "employment_type": "full-time",
  "job_title": "1635 - Helpline Agent",
  "ssn": "522-09-1191",
  "platform_user_id": "YIIDBLCZDDTGM5IE",
  "hire_dates": [
"2010-08-09T23:10:37Z"
  ],
  "terminations": [],
  "marital_status": "Married filing jointly",
  "gender": "Male",
  "employer": "gnomedepot",
  "metadata": {},
  "created_at": "2022-04-19T13:55:45.627Z",
  "updated_at": "2022-04-19T13:55:45.627Z"
},
null,
2
  
```

<RefSubLayout.Divider />

## List profiles

**GET** `/v1/profiles`

* List profile objects.
* This request returns an object with a `results` property that contains an array of up to `limit` profile objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/profiles?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'
      
    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/profiles?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "0180519e-7123-9871-864a-468ac6198292",
"account": "0180519e-64f5-0107-603a-a460f85c2c50",
"address": {
  "city": "New York",
  "line1": "250 Vesey Street",
  "line2": null,
  "state": "NY",
  "country": "US",
  "postal_code": "10281"
},
"birth_date": "1985-04-17",
"email": "test2@argyle.com",
"first_name": "Sarah",
"last_name": "Longfield",
"full_name": "Sarah Longfield",
"phone_number": "+18009000020",
"picture_url": "https://res.cloudinary.com/argyle-media/image/upload/c_lfill,w_auto,g_auto,q_auto,dpr_auto,f_auto/v1566809938/sarah-portrait.png",
"employment_status": "active",
"employment_type": "part-time",
"job_title": "1635 - Helpline Agent",
"ssn": "213-53-7066",
"platform_user_id": "3TLS6GT3XIKJNZRQ",
"hire_dates": [
  "2014-07-30T19:27:57Z"
],
"terminations": [
  {
"date": "2022-05-22T14:12:58Z",
"reason": "Poor quality of work."
  }
],
"marital_status": "Married filing jointly",
"gender": "Female",
"employer": "amazin",
"metadata": {},
"created_at": "2022-04-22T14:12:59.812Z",
"updated_at": "2022-04-22T14:12:59.812Z"
  },
  {
"id": "01805174-19f2-3969-687e-462106a2642b",
"account": "01805161-796d-b3f1-a0c0-8250dc01efe4",
"address": {
  "city": "New York",
  "line1": "759 Victoria Plaza",
  "line2": null,
  "state": "NY",
  "country": "US",
  "postal_code": "10014"
},
"birth_date": "1980-10-10",
"email": "test1@argyle.com",
"first_name": "Bob",
"last_name": "Jones",
"full_name": "Bob Jones",
"phone_number": "+18009000010",
"picture_url": "https://res.cloudinary.com/argyle-media/image/upload/c_lfill,w_auto,g_auto,q_auto,dpr_auto,f_auto/v1566809938/bob-portrait.png",
"employment_status": "active",
"employment_type": "contractor",
"job_title": null,
"ssn": "522-09-1191",
"platform_user_id": "418IMWASXATWBW2X",
"hire_dates": [],
"terminations": [],
"marital_status": "Married filing jointly",
"gender": "Male",
"employer": "dre",
"metadata": {},
"created_at": "2022-04-22T13:26:44.978Z",
"updated_at": "2022-04-22T13:26:44.978Z"
  }
],
null,
2
  
```
